

import System.CPUTime
import Data.List
import qualified Graphics.Rendering.OpenGL as GL


x :: [Double]
x = [0 .. 10000]

y= foldl' (+) 0 [convert (1 / intToDoub k) | k <- [1 .. 100000]]


intToDoub :: Int -> Double
intToDoub = fromIntegral

convert :: Double -> Float
convert = fromRational . toRational

floatToFloat :: (RealFloat a, RealFloat b) => a -> b
floatToFloat = (uncurry encodeFloat) . decodeFloat


main = do
  tick <- getCPUTime
  print $ seq y "Done."
  tock <- getCPUTime
  print $ fromIntegral (tock-tick) / 1000000
  